curl --request POST \
--url https://api.questra.ai/pages/{page_id}/blocks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Org-Id: <x-org-id>' \
--data '
{
"config": {
"content": "<string>",
"type": "<string>",
"showIf": "<string>",
"attentionRequired": {
"reason": "<string>",
"dismissed": false
},
"content_type": "markdown"
},
"order": 1
}
'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_id": "<string>",
"order": 1,
"config": {
"content": "<string>",
"type": "<string>",
"showIf": "<string>",
"attentionRequired": {
"reason": "<string>",
"dismissed": false
},
"content_type": "markdown"
}
}curl --request POST \
--url https://api.questra.ai/pages/{page_id}/blocks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Org-Id: <x-org-id>' \
--data '
{
"config": {
"content": "<string>",
"type": "<string>",
"showIf": "<string>",
"attentionRequired": {
"reason": "<string>",
"dismissed": false
},
"content_type": "markdown"
},
"order": 1
}
'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_id": "<string>",
"order": 1,
"config": {
"content": "<string>",
"type": "<string>",
"showIf": "<string>",
"attentionRequired": {
"reason": "<string>",
"dismissed": false
},
"content_type": "markdown"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique ID of the page to add the new block to
The configuration settings for the new block
Show child attributes
The index at which to order the block relative to the others on the same page. Zero is the first, 1 is the second, etc.
x >= 0